#ifndef ___FRAME0_H
#define ___FRAME0_H
extern void _frame0();
extern int _CurrentFrame;
extern void FreeCurrentFrame();
extern void hmi_GotoFrame(int nFrame);
extern void hmi_TimerTrigger();
extern void hmi_TurnBacklight(int bOn);
extern int g_TimerTicksCount;

extern tCanvasWidget LabelWidget26;
extern tCanvasWidget LabelWidget6;
extern tCanvasWidget LabelWidget4;
extern tPushButtonWidget TextPushButton5;
extern void OnTextPushButton5Paint(tWidget *, unsigned long);
extern void OnTextPushButton5Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton25;
extern void OnTextPushButton25Paint(tWidget *, unsigned long);
extern void OnTextPushButton25Click(tWidget *pWidget);

extern tCanvasWidget LabelWidget14;
extern tPushButtonWidget TextPushButton9;
extern void OnTextPushButton9Paint(tWidget *, unsigned long);
extern void OnTextPushButton9Click(tWidget *pWidget);

extern tCanvasWidget LabelWidget10;
extern tCanvasWidget LabelWidget19;
extern tPushButtonWidget TextPushButton11;
extern void OnTextPushButton11Paint(tWidget *, unsigned long);
extern void OnTextPushButton11Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton12;
extern void OnTextPushButton12Paint(tWidget *, unsigned long);
extern void OnTextPushButton12Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton13;
extern void OnTextPushButton13Paint(tWidget *, unsigned long);
extern void OnTextPushButton13Click(tWidget *pWidget);

extern tPushButtonWidget BitButton15;
extern void OnBitButton15Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton27;
extern void OnTextPushButton27Paint(tWidget *, unsigned long);
extern void OnTextPushButton27Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton28;
extern void OnTextPushButton28Paint(tWidget *, unsigned long);
extern void OnTextPushButton28Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton30;
extern void OnTextPushButton30Paint(tWidget *, unsigned long);
extern void OnTextPushButton30Click(tWidget *pWidget);

extern tCanvasWidget LabelWidget16;
extern tCanvasWidget LabelWidget17;
extern tCanvasWidget LabelWidget18;
extern tPushButtonWidget TextPushButton20;
extern void OnTextPushButton20Paint(tWidget *, unsigned long);
extern void OnTextPushButton20Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton21;
extern void OnTextPushButton21Paint(tWidget *, unsigned long);
extern void OnTextPushButton21Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton22;
extern void OnTextPushButton22Paint(tWidget *, unsigned long);
extern void OnTextPushButton22Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton23;
extern void OnTextPushButton23Paint(tWidget *, unsigned long);
extern void OnTextPushButton23Click(tWidget *pWidget);

extern tPushButtonWidget BitButton24;
extern void OnBitButton24Click(tWidget *pWidget);

extern void OnFrame12Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame27Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame38Paint(tWidget *pWidget, tContext *pContext);

extern tCanvasWidget CanvasFrame1;
extern tCanvasWidget CanvasFrame2;
extern tCanvasWidget CanvasFrame3;

extern void InitWidget1();
extern void InitWidget2();
extern void InitWidget3();

extern void FreeWidget1();
extern void FreeWidget2();
extern void FreeWidget3();


extern void _frame1();
extern void _frame2();
extern void _frame3();

#endif
